> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a resource share (admin only)



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi patch /v1/organizations/{id}/shares/{shareId}
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/organizations/{id}/shares/{shareId}:
    patch:
      tags:
        - Organizations
      summary: Update a resource share (admin only)
      operationId: patchV1OrganizationsByIdSharesByShareId
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: ID da organização
        - in: path
          name: shareId
          required: true
          schema:
            type: integer
          description: ID numérico do compartilhamento
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                can_view:
                  type: boolean
                can_control:
                  type: boolean
                can_edit:
                  type: boolean
            example:
              can_view: true
              can_control: true
              can_edit: false
      responses:
        '200':
          description: Share updated
          content:
            application/json:
              example:
                id: 1
                can_view: true
                can_control: true
                can_edit: false
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '404':
          description: Recurso não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: not found
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````